﻿@using Jumbula.Common.Helper
@model PaymentPlanViewModel

@{
    Layout = null;
}
<style>
        .icon-msg-box {
        bottom: 34px;
        width: 300px;
        padding: 15px;
        position: absolute;
        background-color: #006cc2;
        color: #fff;
        border-radius: 4px;
        display: none;
        z-index: 8;
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref="PaymentPlans({seasonDomain: MC.stateParams.seasonDomain})">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{pageTitle}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <label class="req-star">Name</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
        <input ng-model="Model.Name" name="Name" type="text"  @Html.AngTooltipValidationFor(model => model.Name) />
    </div>

    <div class="clearfix"></div>
    <div class="place-left one-half padding-right20">
        <div class="input-control checkbox" data-role="input-control">
            <label style="display:inline-block">
                <input ng-false-value="false" ng-true-value="true" ng-model="Model.IsNameVisibleToUsers" type="checkbox">
                <span class="check"></span>
                Show the payment plan name to the users
            </label>
            <image-tooltip align="right" img-src="/Areas/Dashboard/Content/Image/Info/ShowNameInPaymentPlanInfo.jpg"></image-tooltip>
        </div>
    </div>
    <div class="clearfix"></div>

    <label class="req-star">Deposit amount (Paid at time of registration)</label>
    <div class="price-box">
        <div class="place-left one-third padding-right20">
            <div class="input-control radio default-style place-left one-half no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.DepositType)" name="amountType" ng-value="'Fixed'" type="radio" ng-init="amountType = '$'" />
                    <span class="check"></span>
                    Fixed
                </label>
            </div>
            <div class="input-control radio default-style place-left one-half padding-right20 no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.DepositType)" name="amountType" ng-value="'Percent'" type="radio" />
                    <span class="check"></span>
                    Percent
                </label>
            </div>
        </div>
        <div class="input-control text price place-left two-third" data-role="input-control" data-sign="{{Model.DepositType=='Fixed'?'$':'%'}}" @Html.AngValidationClassFor(model => model.Deposit)>
            <input ng-model="@Html.Ang(m => m.Deposit)" type="text" @Html.AngTooltipValidationFor(model => model.Deposit) />
        </div>
    </div>
    <div class="clearfix"></div>
    <label for="@Html.Ang(m=> m.CalculationType)">Usage</label>
    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.CalculationType)>
        <select ng-model="@Html.Ang(m => m.CalculationType)" @Html.AngTooltipValidationFor(model => model.CalculationType)>
            <option value="@(CalculationType.OnlyTuition)">@CalculationType.OnlyTuition.ToDescription()</option>
            <option value="@(CalculationType.TotalAmount)">@CalculationType.TotalAmount.ToDescription()</option>
        </select>
    </div>
    <div class="clearfix"></div>
    <label>Eligible programs</label>
    <div class="input-control radio">
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m=> m.IsAllProgram)" name="isAllProgram" ng-value="true" type="radio" />
                <span class="check"></span>
                All programs
            </label>
        </div>
        <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m=> m.IsAllProgram)" name="isAllProgram" ng-value="false" type="radio" />
                <span class="check"></span>
                Selected programs
            </label>
        </div>
    </div>
        <div class="input-control choosen" data-role="input-control" ng-show="@Html.Ang(m=> m.IsAllProgram)== false" @Html.AngValidationClassFor(model => model.SelectedPrograms)>
            <div @Html.AngTooltipValidationFor(model => model.SelectedPrograms)>
                <select chosen multiple
                        ng-model="Model.SelectedPrograms"
                        ng-options="obj.Value as obj.Text for obj in getProgramsList()"></select>
            </div>
        </div>
    <label>Eligible users</label>
    <div class="input-control radio">
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m=> m.IsAllUser)" name="IsAllUser" ng-value="true" type="radio" />
                <span class="check"></span>
                All users
            </label>
        </div>
        <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.IsAllUser)" name="IsAllUser" ng-value="false" type="radio" />
                <span class="check"></span>
                Selected users
            </label>
        </div>
    </div>   
    <div ng-show="@Html.Ang(m => m.IsAllUser)== false">

        <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedUser)>
            <div @Html.AngTooltipValidationFor(model => model.SelectedUser)>
                <select kendo-multi-select
                        id="selectedUsers"
                        k-options="userOptions"
                        k-auto-bind="false"
                        ng-model="@Html.Ang(m => m.SelectedUser)"></select>
            </div>

        </div>
    </div>
    <div class="clearfix"></div>

    <label>Automatic charge</label>
    <span class="place-right program-days-error">@Html.AngValidation("IsAutoChargeMandatory")</span>
    <div class="input-control radio">
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block" style="display: inline-block !important;">
                <input ng-model="@Html.Ang(m => m.IsAutoChargeMandatory)" name="isAutoChargeMandatory" ng-value="true" type="radio" />
                <span class="check"></span>
                @*Required*@
                Automatically charge family credit cards on the installment due dates 
            </label>
            <text-tooltip desc="If select the auto-charge option, we will automatically charge family credit cards when payments are due. Please note you can use this option only if you are using Stripe or Authorize.net as the payment processor." align="right"></text-tooltip>
            <span style="color:#ff0000"> Note: This option does not work with PayPal.</span>
        </div>
        <div class="clearfix"></div>
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label style="display:inline-block">
                <input ng-model="@Html.Ang(m => m.IsAutoChargeMandatory)" name="isAutoChargeMandatory" ng-value="false" type="radio" />
                <span class="check"></span>
                @*Optional*@
                Only send payment reminders to families
            </label>
            <text-tooltip desc="If select this option, we will send payment  reminders  to parents seven days before the installment due date. In the reminder email, families can click on the pay button and pay for the installment." align="right"></text-tooltip>
        </div>
    </div>
    <label>Payment plan fee (mandatory charge that registrants will have to pay if they select this plan)</label>
    <div class="price-box">
        <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.InstallmentFee)>
            <input ng-model="@Html.Ang(m => m.InstallmentFee)" type="text" @Html.AngTooltipValidationFor(model => model.InstallmentFee) />
        </div>
    </div>
    <div class="clearfix"></div>

    <label><span style="color:#ff0000">BETA </span>Installment prompt to show during registration. <span style="color:#ff0000"> Note: please do not use this feature without checking with support@jumbula.com first.</span></label>
    <div class="input-control radio">
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block">

                <input ng-model="@Html.Ang(m => m.IsUseCustomPrompt)" name="IsUseCustomPrompt" ng-value="false" type="radio" />
                <span class="check"></span>
                Use standard prompt

            </label>
        </div>
        <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.IsUseCustomPrompt)" name="IsUseCustomPrompt" ng-value="true" type="radio" />
                <span class="check"></span>
                Use custom prompt
            </label>
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-show="Model.IsUseCustomPrompt">
        <label class="req-star">Custom installment label</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.CustomInstallmentLabel)>
            <input class="k-textbox" ng-model="@Html.Ang(model => model.CustomInstallmentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.CustomInstallmentLabel)>
        </div>

    </div>

    <div class="clearfix"></div>
    <label>Installments</label>
    <div class="input-control select" data-role="input-control">
        <select kendo-drop-down-list
                k-data-text-field="'Text'"
                k-data-value-field="'Value'"
                k-data-source="@Html.Ang(m => m.InstallmentItems)"
                k-ng-model="@Html.Ang(m =>m.SelectedInstallments)"
                k-on-change="updateInstallmentDates()"></select>
    </div>

    <div class="clearfix"></div>
    <label class="req-star">Installment due dates</label>
    <p class="text-italic text-info">Initial deposit: Paid at time of registration</p>
    <div ng-repeat="installmentDate in installmentDateInputs">
        <label>{{Model.InstallmentItems[$index].Text}}</label>
        <div class="input-control date-time" @Html.AngValidationClass("installmentDateInputs['+$index+'].duedate")>
            <div @Html.AngTooltipValidation("installmentDateInputs['+$index+'].duedate")>
                <input kendo-date-picker ng-model="installmentDateInputs[$index].duedate" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>
    </div>

    <div class="clearfix"></div>

    <label>Expiry date</label>

    <div class="input-control date-time">
        <input kendo-date-picker ng-model="@Html.Ang(m => m.ExpiryDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
    </div>

    <hr />
    <button type="button" class="success large place-right button" data-ng-click="savePaymentplan()">Save</button>
    <button type="button" class="link large place-left button" ui-sref="PaymentPlans({seasonDomain: MC.stateParams.seasonDomain})">Cancel</button>

    <div class="clearfix"></div>

</div>
